Skip to main content
POST
https://api.tensormesh.ai
/
v1
/
billing
/
stripe
/
payment-intents
Create Stripe Payment Intent
curl --request POST \
  --url https://api.tensormesh.ai/v1/billing/stripe/payment-intents \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "userId": "<string>",
  "amount": {
    "currencyCode": "<string>",
    "units": "<string>",
    "nanos": 123
  },
  "stripePaymentMethodId": "<string>"
}
'
{
  "stripePaymentIntentId": "<string>",
  "clientSecret": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication using an access token. Format: Bearer <access_token>

Body

application/json

CreateStripePaymentIntentRequest is the request to create a payment intent.

userId
string

The unique ID of the user.

amount
object

Represents an amount of money with its currency type.

stripePaymentMethodId
string

Payment method ID.

Response

A successful response.

CreateStripePaymentIntentResponse is the response after creating a payment intent.

stripePaymentIntentId
string

The Stripe payment intent ID.

clientSecret
string

Client secret.